# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_const_principal

type krb5_const_principal

Constant version of `krb5_principal_data` .

## Declaration

typedef const krb5_principal_data* krb5_const_principal

## Members

krb5_magic krb5_const_principal.magic

krb5_data krb5_const_principal.realm

krb5_data *krb5_const_principal.data

  An array of strings.

krb5_int32 krb5_const_principal.length

krb5_int32 krb5_const_principal.type